# Abstract Decision Processes Abstract Decision Processes ## Gets all of the abstract decision processes in the system. - [GET /abstractDecisionProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/listabstractdecisionprocesses.md): This method will scan all abstract decision processes and and return them to the caller. ## Creates a new abstract decision process record that does not already exist. - [POST /abstractDecisionProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/createabstractdecisionprocess.md): This method will auto-generate an ID and create a new abstract decision process. If an ID is specified for the abstract decision process, an error will be thrown. ## Execute Batch Operations - [POST /abstractDecisionProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a abstract decision process from the system by its ID. - [DELETE /abstractDecisionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/deleteabstractdecisionprocess.md): This method will delete a abstract decision process with the specified ID. ## Returns a abstract decision process from the system by its ID. - [GET /abstractDecisionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/getabstractdecisionprocess.md): This method will look up a abstract decision process by the specified ID and return it back. ## Partially updates a abstract decision process with the specified ID. - [PATCH /abstractDecisionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/patchabstractdecisionprocess.md): This method will patch an existing abstract decision process with the specified ID, using the HTTP PATCH specification. ## Updates a abstract decision process with the specified ID. - [PUT /abstractDecisionProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-decision-processes/updateabstractdecisionprocess.md): This method will update an existing abstract decision process with the specified ID.